gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Layout.VPaned

Contents

- Detail
- Class Hierarchy
- Types
- Constructors

Description

A container with two panes arranged vertically

Synopsis

- data VPaned
- class PanedClass o => VPanedClass o
- castToVPaned :: GObjectClass obj => obj -> VPaned
- gTypeVPaned :: GType
- toVPaned :: VPanedClass o => o -> VPaned
- vPanedNew :: IO VPaned

# Detail

The VPaned widget is a container widget with two children arranged vertically. The division between the two panes is adjustable by the user by dragging a handle. See `Paned` for details.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----Paned
    | +----VPaned

# Types

data VPaned Source #

#### Instances

Instances details

Eq VPaned Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: VPaned -> VPaned -> Bool Source # (/=) :: VPaned -> VPaned -> Bool Source #
Ord VPaned Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods compare :: VPaned -> VPaned -> Ordering Source # (<) :: VPaned -> VPaned -> Bool Source # (<=) :: VPaned -> VPaned -> Bool Source # (>) :: VPaned -> VPaned -> Bool Source # (>=) :: VPaned -> VPaned -> Bool Source # max :: VPaned -> VPaned -> VPaned Source # min :: VPaned -> VPaned -> VPaned Source #
GObjectClass VPaned Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: VPaned -> GObject Source # unsafeCastGObject :: GObject -> VPaned Source #
ContainerClass VPaned Source # |
Instance details Defined in Graphics.UI.Gtk.Types
PanedClass VPaned Source # |
Instance details Defined in Graphics.UI.Gtk.Types
VPanedClass VPaned Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass VPaned Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class PanedClass o => VPanedClass o Source #

#### Instances

Instances details

VPanedClass VPaned Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToVPaned :: GObjectClass obj => obj -> VPaned Source #

gTypeVPaned :: GType Source #

toVPaned :: VPanedClass o => o -> VPaned Source #

# Constructors

vPanedNew :: IO VPaned Source #

Create a new `VPaned`